# `abacusai.refresh_schedule`

## Module Contents

### Classes

`RefreshSchedule` | A refresh schedule for an object. Defines when the next version of the object will be created

class abacusai.refresh_schedule.RefreshSchedule(client, refreshPolicyId=None, nextRunTime=None, cron=None, refreshType=None, lifecycleMsg=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  A refresh schedule for an object. Defines when the next version of the object will be created

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - refreshPolicyId (str) – The unique identifier of the refresh policy

    - nextRunTime (str) – The next run time of the refresh policy. If null, the policy is paused.

    - cron (str) – A cron-style string that describes the when this refresh policy is to be executed in UTC

    - refreshType (str) – The type of refresh that will be run

    - lifecycleMsg (str) – An error message for the last pipeline run of a policy

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict